-- Deploy numerus:quote_status_i18n to pg
-- requires: roles
-- requires: schema_numerus
-- requires: quote_status
-- requires: language

begin;

set search_path to numerus, public;

create table quote_status_i18n (
	quote_status text not null references quote_status,
	lang_tag text not null references language,
	name text not null,
	primary key (quote_status, lang_tag)
);

grant select on table quote_status_i18n to invoicer;
grant select on table quote_status_i18n to admin;

commit;
