-- Verify numerus:expense on pg

begin;

select expense_id
     , company_id
     , slug
     , contact_id
     , invoice_number
     , invoice_date
     , amount
     , currency_code
     , tags
     , created_at
from numerus.expense
where false;

select 1 / count(*) from pg_class where oid = 'numerus.expense'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'company_policy' and polrelid = 'numerus.expense'::regclass;

rollback;
