-- Verify numerus:quote on pg

begin;

select quote_id
     , company_id
     , slug
     , quote_number
     , quote_date
     , quote_status
     , terms_and_conditions
     , notes
     , tags
     , currency_code
     , created_at
from numerus.quote
where false;

select 1 / count(*) from pg_class where oid = 'numerus.quote'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'company_policy' and polrelid = 'numerus.quote'::regclass;

rollback;
