-- Deploy numerus:available_quote_status to pg
-- requires: schema_numerus
-- requires: quote_status
-- requires: quote_status_i18n

begin;

set search_path to numerus;

insert into quote_status (quote_status, name)
values ('created', 'Created')
     , ('sent', 'Sent')
     , ('accepted', 'Accepted')
     , ('rejected', 'Rejected')
     , ('invoiced', 'Invoiced')
;

insert into quote_status_i18n (quote_status, lang_tag, name)
values ('created', 'ca', 'Creat')
     , ('sent', 'ca', 'Enviat')
     , ('accepted', 'ca', 'Acceptat')
     , ('rejected', 'ca', 'Rebutjat')
     , ('invoiced', 'ca', 'Facturat')
     , ('created', 'es', 'Creado')
     , ('sent', 'es', 'Enviado')
     , ('accepted', 'es', 'Aceptado')
     , ('rejected', 'es', 'Rechazado')
     , ('invoiced', 'es', 'Facturado')
;

commit;
