-- Deploy numerus:quote_payment_method to pg
-- requires: roles
-- requires: schema_numerus
-- requires: quote
-- requires: payment_method

begin;

set search_path to numerus, public;

create table quote_payment_method (
	quote_id integer not null primary key references quote,
	payment_method_id integer not null references payment_method
);

grant select, insert, update, delete on table quote_payment_method to invoicer;
grant select, insert, update, delete on table quote_payment_method to admin;

commit;
