-- Deploy numerus:quote_product_product to pg
-- requires: roles
-- requires: schema_numerus
-- requires: quote_product
-- requires: product

begin;

set search_path to numerus, public;

create table quote_product_product (
	quote_product_id integer primary key references quote_product,
	product_id integer not null references product
);

grant select, insert, update, delete on table quote_product_product to invoicer;
grant select, insert, update, delete on table quote_product_product to admin;

commit;
